function dYfuncvecdt = ODEfun(t,Yfuncvec); 
Ca = Yfuncvec(1); 
Cb = Yfuncvec(2); 
Cc = Yfuncvec(3); 
Cd = Yfuncvec(4); 
% Explicit equations
vo = 0.05; 
Vo = 5; 
V = Vo + vo * t; 
k = 2.2; 
Cbo = 0.025; 
ra = 0 - (k * Ca * Cb); 
Cao = 0.05; 
rate = 0 - ra; 
X = (Cao * Vo - (Ca * V)) / (Cao * Vo); 
% Differential equations
dCadt = ra - (vo * Ca / V); 
dCbdt = ra + (Cbo - Cb) * vo / V; 
dCcdt = 0 - ra - (vo * Cc / V); 
dCddt = 0 - ra - (vo * Cd / V); 
dYfuncvecdt = [dCadt; dCbdt; dCcdt; dCddt]; 


